import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:elektronika/app/core/themes/colors.dart';

import 'filter_widget.dart';
import '../sort_widget.dart';

class HeaderWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      // color: Colors.amberAccent,
      padding: EdgeInsets.only(left: 16.w, right: 24.w, bottom: 8.h),
      decoration: new BoxDecoration(
        color: ThemeColor.white,
        boxShadow: <BoxShadow>[
          BoxShadow(
            color: ThemeColor.scaffoldBckColor,
            blurRadius: 1,
            offset: Offset(0.0, 5),
          ),
        ],
      ),
      child: Row(
        children: [
          SortWidget(),
          SizedBox(width: 12.w),
          FilterWidget(),
        ],
      ),
    );
  }
}
